Subject: Re: bug#40704: 28.0.50; Improve and speed up (Gnus) registry saving

From: Michael Heerdegen <[email-masked]>
Date: Sun, 19 Jul 2020 17:19:37 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Presumably there's already code to print a hash table somewhere in
> Emacs?  That would be the other printer, since your patch adds a new
> one.

That's what the code currently already does.  But: See what I wrote
about the purpose of the patch: our saving code needs to modify how
elements in the hash table are printed.  The Lisp printer doesn't allow
that per se.  My suggested patch substitutes a very inefficient hack
with a more efficient hack.  The current code uses printing + re-reading
AFAIR - and that on nested hash tables.

I thought long about removing the need for this hack altogehter, but
this is very complicated, if not impossible (yes, you would need to
change the printer).

Michael.